Bullet Collision Detection & Physics Library: btMeshPartData Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
btMeshPartData Struct Reference

do not change those serialization structures, it requires an updated sBulletDNAstr/sBulletDNAstr64 More...

`#include <btStridingMeshInterface.h>`

Collaboration diagram for btMeshPartData:
[legend]

## Public Attributes
btVector3FloatData * | m_vertices3f
btVector3DoubleData * | m_vertices3d
btIntIndexData * | m_indices32
btShortIntIndexTripletData * | m_3indices16
btCharIndexTripletData * | m_3indices8
btShortIntIndexData * | m_indices16
int | m_numTriangles
int | m_numVertices

## Detailed Description

do not change those serialization structures, it requires an updated sBulletDNAstr/sBulletDNAstr64

Definition at line 121 of file btStridingMeshInterface.h.

## Member Data Documentation

## ◆ m_3indices16

btShortIntIndexTripletData* btMeshPartData::m_3indices16

Definition at line 127 of file btStridingMeshInterface.h.

## ◆ m_3indices8

btCharIndexTripletData* btMeshPartData::m_3indices8

Definition at line 128 of file btStridingMeshInterface.h.

## ◆ m_indices16

btShortIntIndexData* btMeshPartData::m_indices16

Definition at line 130 of file btStridingMeshInterface.h.

## ◆ m_indices32

btIntIndexData* btMeshPartData::m_indices32

Definition at line 126 of file btStridingMeshInterface.h.

## ◆ m_numTriangles

int btMeshPartData::m_numTriangles

Definition at line 132 of file btStridingMeshInterface.h.

## ◆ m_numVertices

int btMeshPartData::m_numVertices

Definition at line 133 of file btStridingMeshInterface.h.

## ◆ m_vertices3d

btVector3DoubleData* btMeshPartData::m_vertices3d

Definition at line 124 of file btStridingMeshInterface.h.

## ◆ m_vertices3f

btVector3FloatData* btMeshPartData::m_vertices3f

Definition at line 123 of file btStridingMeshInterface.h.

The documentation for this struct was generated from the following file:

- btStridingMeshInterface.h